diff --git a/src/file/file_posix.c b/src/file/file_posix.c
index 7179216..11bf5bd 100644
--- a/src/file/file_posix.c
+++ b/src/file/file_posix.c
@@ -35,11 +35,11 @@
 #include <stdlib.h>
 #include <inttypes.h>
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <windows.h>
 #define	ftello	_ftelli64
 #define	fseeko	_fseeki64
-#endif	//	#ifdef WIN32
+#endif	//	#ifdef _WIN32
 
 static void file_close_linux(BD_FILE_H *file)
 {
@@ -110,7 +110,7 @@ static BD_FILE_H *file_open_linux(const char* filename, const char *mode)
     file->tell = file_tell_linux;
     file->eof = file_eof_linux;
 
-#ifdef WIN32
+#ifdef _WIN32
     wchar_t wfilename[MAX_PATH], wmode[8];
     if (MultiByteToWideChar(CP_UTF8, MB_ERR_INVALID_CHARS, filename, -1, wfilename, MAX_PATH) &&
         MultiByteToWideChar(CP_UTF8, MB_ERR_INVALID_CHARS, mode, -1, wmode, 8) &&
diff --git a/src/libbluray/bdj/bdj.c b/src/libbluray/bdj/bdj.c
index b811ab3..ccb4fe3 100644
--- a/src/libbluray/bdj/bdj.c
+++ b/src/libbluray/bdj/bdj.c
@@ -61,7 +61,7 @@ static void *_jvm_dlopen(const char *java_home, const char *jvm_dir, const char
 static void *_load_jvm(const char **p_java_home)
 {
 #ifdef HAVE_BDJ_J2ME
-# ifdef WIN32
+# ifdef _WIN32
     static const char *jvm_path[] = {NULL, JDK_HOME};
     static const char  jvm_dir[]  = "bin";
     static const char  jvm_lib[]  = "cvmi";
@@ -71,7 +71,7 @@ static void *_load_jvm(const char **p_java_home)
     static const char  jvm_lib[]  = "libcvm";
 # endif
 #else
-# ifdef WIN32
+# ifdef _WIN32
     static const char *jvm_path[] = {NULL, JDK_HOME};
     static const char  jvm_dir[]  = "jre/bin/server";
     static const char  jvm_lib[]  = "jvm";
@@ -111,7 +111,7 @@ static const char *_find_libbluray_jar(void)
 {
     // pre-defined search paths for libbluray.jar
     static const char * const jar_paths[] = {
-#ifdef WIN32
+#ifdef _WIN32
         "" BDJ_JARFILE,
 #else
         "/usr/lib/libbluray/" BDJ_JARFILE,
diff --git a/src/libbluray/bdj/native/java_awt_BDFontMetrics.h b/src/libbluray/bdj/native/java_awt_BDFontMetrics.h
index d2a658c..1ba3cea 100644
--- a/src/libbluray/bdj/native/java_awt_BDFontMetrics.h
+++ b/src/libbluray/bdj/native/java_awt_BDFontMetrics.h
@@ -2,7 +2,7 @@
 #include <jni.h>
 /* Header for class java_awt_BDFontMetrics */
 
-#ifndef WIN32
+#ifndef _WIN32
 #undef JNIEXPORT
 #define JNIEXPORT static
 #endif
diff --git a/src/libbluray/bdj/native/java_awt_BDGraphics.h b/src/libbluray/bdj/native/java_awt_BDGraphics.h
index b21a8e8..704c425 100644
--- a/src/libbluray/bdj/native/java_awt_BDGraphics.h
+++ b/src/libbluray/bdj/native/java_awt_BDGraphics.h
@@ -2,7 +2,7 @@
 #include <jni.h>
 /* Header for class java_awt_BDGraphics */
 
-#ifndef WIN32
+#ifndef _WIN32
 #undef JNIEXPORT
 #define JNIEXPORT static
 #endif
diff --git a/src/libbluray/bdj/native/org_videolan_Libbluray.h b/src/libbluray/bdj/native/org_videolan_Libbluray.h
index a0bcca7..46ed83f 100644
--- a/src/libbluray/bdj/native/org_videolan_Libbluray.h
+++ b/src/libbluray/bdj/native/org_videolan_Libbluray.h
@@ -2,7 +2,7 @@
 #include <jni.h>
 /* Header for class org_videolan_Libbluray */
 
-#ifndef WIN32
+#ifndef _WIN32
 #undef JNIEXPORT
 #define JNIEXPORT static
 #endif
diff --git a/src/libbluray/bdj/native/org_videolan_Logger.h b/src/libbluray/bdj/native/org_videolan_Logger.h
index 5c24efb..be8579d 100644
--- a/src/libbluray/bdj/native/org_videolan_Logger.h
+++ b/src/libbluray/bdj/native/org_videolan_Logger.h
@@ -2,7 +2,7 @@
 #include <jni.h>
 /* Header for class java_awt_BDGraphics */
 
-#ifndef WIN32
+#ifndef _WIN32
 #undef JNIEXPORT
 #define JNIEXPORT static
 #endif
